#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,560,800,880,960,1040,1120,1680,1760,1920,2080,2240
 * N : 25,240,320,400,560,800,880,960,1040,1120,1680,1760,1920,2080,2240
 * NB : 1,16,16,40,40,20,24,24,32,80,32,80,80,80,88
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 1; \
   else if ((n_) < 360) (nb_) = 16; \
   else if ((n_) < 680) (nb_) = 40; \
   else if ((n_) < 840) (nb_) = 20; \
   else if ((n_) < 1000) (nb_) = 24; \
   else if ((n_) < 1080) (nb_) = 32; \
   else if ((n_) < 1400) (nb_) = 80; \
   else if ((n_) < 1720) (nb_) = 32; \
   else if ((n_) < 2160) (nb_) = 80; \
   else (nb_) = 88; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
